Show / Hide Table of Contents

# Struct GameObject

##### Inherited Members

System.ValueType.Equals(System.Object)
System.ValueType.GetHashCode()
System.ValueType.ToString()
System.Object.Equals(System.Object, System.Object)
System.Object.ReferenceEquals(System.Object, System.Object)
System.Object.GetType()

###### Namespace: FFXIVClientStructs.Client.Game.Object

###### Assembly: FFXIVClientStructs.dll

##### Syntax

    public struct GameObject

### Fields

| Improve this Doc View Source

#### DrawObject

##### Declaration

    public void *DrawObject

##### Field Value

Type | Description
--- | ---
System.Void* |

| Improve this Doc View Source

#### Name

##### Declaration

    public byte *Name

##### Field Value

Type | Description
--- | ---
System.Byte* |

| Improve this Doc View Source

#### ObjectID

##### Declaration

    public uint ObjectID

##### Field Value

Type | Description
--- | ---
System.UInt32 |

| Improve this Doc View Source

#### ObjectKind

##### Declaration

    public byte ObjectKind

##### Field Value

Type | Description
--- | ---
System.Byte |

| Improve this Doc View Source

#### RenderFlags

##### Declaration

    public int RenderFlags

##### Field Value

Type | Description
--- | ---
System.Int32 |